HTMLHostManagerServlet (Tomcat API Documentation)
Keywords: org.apache.catalina.manager.host.HTMLHostManagerServlet class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.catalina.manager.host
Class HTMLHostManagerServlet

    java.lang.Object
      javax.servlet.GenericServlet
          javax.servlet.http.HttpServlet
              org.apache.catalina.manager.host.HostManagerServlet
                  org.apache.catalina.manager.host.HTMLHostManagerServlet

All Implemented Interfaces:
  java.io.Serializable, javax.servlet.Servlet, javax.servlet.ServletConfig, ContainerServlet

    public final class HTMLHostManagerServlet

extends HostManagerServlet

Servlet that enables remote management of the virtual hosts deployed on the server. Normally, this functionality will be protected by a security constraint in the web application deployment descriptor. However, this requirement can be relaxed during testing.

The difference between the `HostManagerServlet` and this Servlet is that this Servlet prints out a HTML interface which makes it easier to administrate.

However if you use a software that parses the output of `HostManagerServlet` you won't be able to upgrade to this Servlet since the output are not in the same format as from `HostManagerServlet`

Version:
  $Revision: 662585 $, $Date: 2008-06-02 23:44:22 +0200 (Mon, 02 Jun 2008) $
Author:
  Bip Thelin, Malcolm Edgar, Glenn L. Nielsen, Peter Rossbach
See Also:
  `ManagerServlet`, Serialized Form

Field Summary

Fields inherited from class org.apache.catalina.manager.host.HostManagerServlet
`configBase, context, debug, engine, host, mBeanServer, sm, wrapper`

Constructor Summary
`HTMLHostManagerServlet()`

Method Summary
`protected java.lang.String` | `add(javax.servlet.http.HttpServletRequest request, java.lang.String name)` Add a host using the specified parameters.
`void` | `doGet(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response)` Process a GET request for the specified resource.
`void` | `list(javax.servlet.http.HttpServletRequest request, javax.servlet.http.HttpServletResponse response, java.lang.String message)` Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.
`protected java.lang.String` | `remove(java.lang.String name)` Remove the specified host.
`protected java.lang.String` | `start(java.lang.String name)` Start the host with the specified name.
`protected java.lang.String` | `stop(java.lang.String name)` Stop the host with the specified name.

Methods inherited from class org.apache.catalina.manager.host.HostManagerServlet
`add, add, booleanParameter, destroy, getConfigBase, getWrapper, init, list, remove, setWrapper, start, stop`

Methods inherited from class javax.servlet.http.HttpServlet
`doDelete, doHead, doOptions, doPost, doPut, doTrace, getLastModified, service, service`

Methods inherited from class javax.servlet.GenericServlet
`getInitParameter, getInitParameterNames, getServletConfig, getServletContext, getServletInfo, getServletName, init, log, log`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### HTMLHostManagerServlet

    public HTMLHostManagerServlet()

Method Detail

### doGet

    public void doGet(javax.servlet.http.HttpServletRequest request,
                      javax.servlet.http.HttpServletResponse response)
               throws java.io.IOException,
                      javax.servlet.ServletException

  Process a GET request for the specified resource.

  Overrides:
    `doGet` in class `HostManagerServlet`
  Parameters:
    `request` - The servlet request we are processing
    `response` - The servlet response we are creating
  Throws:
    `java.io.IOException` - if an input/output error occurs
    `javax.servlet.ServletException` - if a servlet-specified error occurs
  See Also:
    `ServletResponse.setContentType(java.lang.String)`

### add

    protected java.lang.String add(javax.servlet.http.HttpServletRequest request,
                                   java.lang.String name)

  Add a host using the specified parameters.

  Parameters:
    `name` - host name

### remove

    protected java.lang.String remove(java.lang.String name)

  Remove the specified host.

  Parameters:
    `writer` - Writer to render results to
    `name` - host name

### start

    protected java.lang.String start(java.lang.String name)

  Start the host with the specified name.

  Parameters:
    `name` - Host name

### stop

    protected java.lang.String stop(java.lang.String name)

  Stop the host with the specified name.

  Parameters:
    `name` - Host name

### list

    public void list(javax.servlet.http.HttpServletRequest request,
                     javax.servlet.http.HttpServletResponse response,
                     java.lang.String message)
              throws java.io.IOException

  Render a HTML list of the currently active Contexts in our virtual host, and memory and server status information.

  Parameters:
    `request` - The request
    `response` - The response
    `message` - a message to display
  Throws:
    `java.io.IOException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.